Какие пакеты необходимы для установки vim на Fedora?

Какие пакеты RPM необходимы для установки vim в последней версии Fedora?

На современной Fedora запустите

repoquery --tree-requires vim-minimal 

или

 repoquery --tree-requires vim-enhanced 

получить рекурсивный список пакетов, на которые зависит указанный вами пакет, в хорошем древовидном формате.

Обратите внимание, что vim-minimal устанавливает только / bin / vi без современных улучшений или онлайн-справки для использования, когда доступен только корневой раздел. Наверное, вам нужен vim-улучшенный или vim-X11.

Если вам нужен только список прямых зависимостей, вы можете запустить

 repoquery --requires --resolve vim-enhanced 

получить список пакетов или

 repoquery --requires vim-enhanced 

для получения необходимых возможностей.